Bug 1590700 - The package's tests depend on the bundled rebar3 and pull from the network
Summary: The package's tests depend on the bundled rebar3 and pull from the network
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: elixir
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Timothée Floure
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1434779
Blocks: 1451526
TreeView+ depends on / blocked
 
Reported: 2018-06-13 08:47 UTC by Timothée Floure
Modified: 2019-11-27 18:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:58:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Timothée Floure 2018-06-13 08:47:04 UTC
This bug follows PR#3 [0] and PR#4 [1]:

> I've been looking more into this, and really we should get rebar3 available as
> a prerequisite for updating elixir. Unfortunately making rebar3 play nice with
> mock so it doesn't try to pull dependencies from the network is not so
> straightforward. So I'll need to get that part figured out first.
(jeckersb)

> First, something in the tests regarding git requires the network which is not
> available by default in mock. If you run mock with --enable-network, it passes.
> So we'll need to figure out what exactly is going on. I tried a while ago to
> run the tests inside of a docker container with the network disabled and the
> tests succeeded, so I'm not sure what the difference is between docker and mock
> (which uses systemd-nspawn). I've been putting this off but I need to revisit
> it.
> 
> Second, the tests are using the bundled rebar/rebar3. If you add rm -f rebar
> rebar3 at the end of the %prep section to make sure those aren't used, it will
> fail. If you export REBAR=/usr/bin/rebar and REBAR3=/usr/bin/rebar under %check
> it gets a bit further but still fails.
(jeckersb)

[0] https://src.fedoraproject.org/rpms/elixir/pull-request/3
[1] https://src.fedoraproject.org/rpms/elixir/pull-request/4

Comment 1 Jan Kurik 2018-08-14 09:58:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Ben Cotton 2019-10-31 20:55:03 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 18:58:03 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.